# Package org.apache.flume.source.http

- Interface Summary
  Interface | Description
  --- | ---
  HTTPSourceHandler |

- Class Summary
  Class | Description
  --- | ---
  BLOBHandler | BLOBHandler for HTTPSource that accepts any binary stream of data as event.
  HTTPSource | A source which accepts Flume Events by HTTP POST and GET.
  HTTPSourceConfigurationConstants |
  JSONHandler | JSONHandler for HTTPSource that accepts an array of events.

- Exception Summary
  Exception | Description
  --- | ---
  HTTPBadRequestException | Exception thrown by an HTTP Handler if the request was not parsed correctly into an event because the request was not in the expected format.

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.